# Class QS

java.lang.Object
org.jmol.quantum.QS

public class QS extends Object
Constants and static methods for quantum shells.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CANONICAL_DC_LIST`
`static final String`
`CANONICAL_DS_LIST`
`static final String`
`CANONICAL_FC_LIST`
`static final String`
`CANONICAL_FS_LIST`
`static final int`
`DC`
`static final int`
`DS`
`static final int`
`FC`
`static final int`
`FS`
`static final int`
`GC`
`static final int`
`GS`
`static final int`
`HC`
`static final int`
`HS`
`static final int`
`IC`
`static final int[]`
`idSpherical`
`static final int`
`IS`
`static int`
`MAX_TYPE_SUPPORTED`
`static final int`
`P`
`static final int`
`S`
`static final int`
`SP`
`static final String[]`
`tags`
`static final String[]`
`tags2`

## Constructor Summary

Constructors
Constructor
Description
`QS()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`createDFMap(int[] map, String fileList, String jmolList, int minLength)`
`static int`
`getItem(int i)`
`static final String`
`getMOString(float[] lc)`
`static int[][]`
`getNewDfCoefMap()`
`static final String`
`getQuantumShellTag(int id)`
`static int`
`getQuantumShellTagID(String tag)`
`static final int`
`getQuantumShellTagIDSpherical(String tag)`
`static boolean`
`isQuantumBasisSupported(char ch)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### S

public static final int S

See Also:
  - Constant Field Values

### P

public static final int P

See Also:
  - Constant Field Values

### SP

public static final int SP

See Also:
  - Constant Field Values

### DS

public static final int DS

See Also:
  - Constant Field Values

### DC

public static final int DC

See Also:
  - Constant Field Values

### FS

public static final int FS

See Also:
  - Constant Field Values

### FC

public static final int FC

See Also:
  - Constant Field Values

### GS

public static final int GS

See Also:
  - Constant Field Values

### GC

public static final int GC

See Also:
  - Constant Field Values

### HS

public static final int HS

See Also:
  - Constant Field Values

### HC

public static final int HC

See Also:
  - Constant Field Values

### IS

public static final int IS

See Also:
  - Constant Field Values

### IC

public static final int IC

See Also:
  - Constant Field Values

### MAX_TYPE_SUPPORTED

public static int MAX_TYPE_SUPPORTED

### idSpherical

public static final int[] idSpherical

### tags

public static final String[] tags

### tags2

public static final String[] tags2

### CANONICAL_DC_LIST

public static final String CANONICAL_DC_LIST

See Also:
  - Constant Field Values

### CANONICAL_DS_LIST

public static final String CANONICAL_DS_LIST

See Also:
  - Constant Field Values

### CANONICAL_FC_LIST

public static final String CANONICAL_FC_LIST

See Also:
  - Constant Field Values

### CANONICAL_FS_LIST

public static final String CANONICAL_FS_LIST

See Also:
  - Constant Field Values

## Constructor Details

### QS

public QS()

## Method Details

### isQuantumBasisSupported

public static boolean isQuantumBasisSupported(char ch)

### getNewDfCoefMap

public static int[][] getNewDfCoefMap()

### getItem

public static int getItem(int i)

### getQuantumShellTagID

public static int getQuantumShellTagID(String tag)

### getQuantumShellTagIDSpherical

public static final int getQuantumShellTagIDSpherical(String tag)

### getQuantumShellTag

public static final String getQuantumShellTag(int id)

### getMOString

public static final String getMOString(float[] lc)

### createDFMap

public static boolean createDFMap(int[] map, String fileList, String jmolList, int minLength)

Parameters:
  `map` - map to fill
  `fileList` - reader-dependent list
  `jmolList` - Jmol's reordering of that list
  `minLength` - minimum token length so that "G 0" is not taken as two token -- depends upon reader
Returns:
  true if successful